/* color root */

:root {
    --color-BB: #e00000;
    --color-MTC: #004eff;
    --color-FP: #ffc80a;
    --color-M: #a39eae;
    --color-DH: #f46a00;
    --color-BAT: #6c4095;
    --color-KTNH: #ff007f;
}


/* color set */

.six_div {	background: linear-gradient(110deg, var(--color-BB) 16%, var(--color-MTC) 18% 32%, var(--color-FP) 34% 48%, #777779 50% 66%, var(--color-DH) 68% 82%, var(--color-BAT) 84%); -webkit-background-clip: text; -webkit-text-fill-color: transparent; }


/* -----BB----- */

[name="Buster Bros!!!"], div[label="BB"]::before,
a:hover p[data-color="1"], .set-BB p:hover,
[tag="BB"] { color: var(--color-BB); }

.BB, div[label="이치로"]::before { color: #c30000; }
.MB, div[label="지로"]::before { color: #1a54ba; }
.LB, div[label="사부로"]::before { color: #e7a800; }

div[label="二・三"]::before { background: linear-gradient(to right, #1a54ba 42%, #222 42% 58%, #e7a800 58%);
-webkit-background-clip: text; -webkit-text-fill-color: transparent; }


/* -----MTC----- */

[name="MAD TRIGGER CREW"],
a:hover p[data-color="2"], .set-MTC p:hover,
[tag="MTC"] { color: var(--color-MTC); }

.Hc, div[label="사마토키"]::before { color: #950836; }
.R45, div[label="쥬토"]::before { color: #21631c; }
.CM, div[label="리오"]::before { color: #0d6c8f; }

div[label="左・銃"]::before { background: linear-gradient(to right, #950836 42%, #222 42% 58%, #21631c 58%);
-webkit-background-clip: text; -webkit-text-fill-color: transparent; }
div[label="銃・理"]::before { background: linear-gradient(to right, #21631c 42%, #222 42% 58%, #0d6c8f 58%);
-webkit-background-clip: text; -webkit-text-fill-color: transparent; }


/* -----Posse----- */

[name="Fling Posse"], div[label="FP"]::before,
a:hover p[data-color="3"], .set-FP p:hover,
[tag="FP"] { color: var(--color-FP); }

.esR, div[label="라무다"]::before { color: #ea92bd; }
.PTM, div[label="겐타로"]::before { color: #83a90e; }
.DoA, div[label="다이스"]::before { color: #5248b5; }
div[label="幻・帝"]::before { background: linear-gradient(to right, #83a90e 42%, #222 42% 58%, #5248b5 58%);
-webkit-background-clip: text; -webkit-text-fill-color: transparent; }
div[label="乱・幻"]::before { background: linear-gradient(to right, #ea92bd 42%, #222 42% 58%, #83a90e 58%);
-webkit-background-clip: text; -webkit-text-fill-color: transparent; }


/* -----MTR----- */

[name="麻天狼"], div[label="麻天狼"]::before,
a:hover p[data-color="4"], .set-M p:hover,
[tag="M"] { color: var(--color-M); }

.DOC, div[label="쟈쿠라이"]::before { color: #9f79ba; }
.GGL, div[label="히후미"]::before { color: #b2a000; }
.DPP, div[label="돗포"]::before { color: #008299; }
div[label="一・独"]::before { background: linear-gradient(to right, #b2a000 42%, #222 42% 58%, #008299 58%);
-webkit-background-clip: text; -webkit-text-fill-color: transparent; }


/* -----HOMPO----- */

[name="どついたれ本舗"],
a:hover p[data-color="5"], .set-DH p:hover,
[tag="DH"] { color: var(--color-DH); }

.TC, div[label="사사라"]::before { color: #119d7a; }
.WSD, div[label="로쇼"]::before { color: #6a7fd4; }
.MM, div[label="레이"]::before { color: #CF425E; }
div[label="簓・盧"]::before { background: linear-gradient(to right, #119d7a 42%, #222 42% 58%, #6a7fd4 58%);
-webkit-background-clip: text; -webkit-text-fill-color: transparent; }


/* -----BAT----- */

[name="Bad Ass Temple"],
a:hover p[data-color="6"], .set-BAT p:hover,
[tag="BAT"] { color: var(--color-BAT); }

.EM, div[label="쿠코"]::before { color: #e3184d; }
.FMN, div[label="쥬시"]::before { color: #d8d108; }
.HH, div[label="히토야"]::before { color: #aea39a; }

div[label="十・獄"]::before { background: linear-gradient(to right, #d8d108 42%, #222 42% 58%, #aea39a 58%);
-webkit-background-clip: text; -webkit-text-fill-color: transparent; }


/* -----CHU-OH----- */

.KTNH, a:hover p[data-color="7"], .set-KTNH p:hover,
[tag="KTNH"] { color: var(--color-KTNH); }

.ICZK, div[label="이치지쿠"]::before { color: #d7337c; }

.OTM, div[label="오토메"]::before { color: #423a7e; }
.NMU, div[label="네무"]::before { color: #57A9BB; }

div[label="호노보노"]::before { color: #92357D; }
div[label="無・合"]::before { background: linear-gradient(to right, #d7337c 42%, #222 42% 58%, #57A9BB 58%);
-webkit-background-clip: text; -webkit-text-fill-color: transparent; }


/* -----sidebar----- */

.set-BB { border-color: var(--color-BB); }
.set-MTC { border-color: var(--color-MTC); }
.set-FP { border-color: var(--color-FP); }
.set-M{ border-color: var(--color-M); }
.set-DH { border-color: var(--color-DH); }
.set-BAT { border-color: var(--color-BAT); }
.set-KTNH { border-color: var(--color-KTNH); }
.set-all { border-color: #fff; }
.set-base { border-color: #444; }

.NBover:hover { color: #00b77c; border-color: #00b77c; }
.OBover:hover { color: #ff856b; border-color: #ff856b; }
.DDover:hover { color: #0b83ff; border-color: #0b83ff; }
.IKover:hover { color: #f6eed8; border-color: #f6eed8; }